#!/bin/sh
#	Download of datasets.
#	1. uniprot_trembl.fasta for protein data
#	2. source code for software analyses.
#-------------------------------------------------------
echo "The required datasets are:-"
echo "1. uniprot_trembl.fasta.gz available from:-"
echo "... http://www.filewatcher.com/m/uniprot_trembl.fasta.gz.4294967295-0.html"
echo "... This is a compressed archive which should be available."
echo "... It is then processed by 2-prepareData.sh"
echo "... and reduced to an abbreviated form for efficiency."
echo
echo "2. 80 million lines of C source code."
echo "... Refer to the reproducibility suite"
echo "... http://www.leshatton.org/Documents/Data_TSE-2013-08-0271_V1.0a.zip"
echo "... To bypass this step, the intermediate processed file is included here"
echo "... and appears as c_ti.raw.gz.  This will be uncompressed"
echo "... automatically when needed."
echo
echo "3. 883 pieces of music."
echo "... The music has been pre-processed into a zipped token file which"
echo "... is included as musicxml.zip"
echo
