#!/bin/sh
#
#	Copyright Les Hatton, 2013-.
#	Released under the GNU GPL.
#
#	Revision:	$Revision: 1.2 $
#	Date:	$Date: 2016/09/08 13:10:44 $
#-------------------------------------------------
#	For power-law in ti plot.
#
#	Extract the x and y vectors from the flat bit.
#
DAT="trembl_length_cdf.dat"

cat	$DAT \
	| grep -v "^#" \
	| grep -v "^$" \
	| awk '{if ( $1 >= 300.0 && $1 < 30000.0 && $2 > 0. ) print log($1);}'	\
	> trembl_lengths_ti_uni_x.txt
cat	$DAT \
	| grep -v "^#" \
	| grep -v "^$" \
	| awk '{if ( $1 >= 300.0 && $1 < 30000.0 && $2 > 0. ) print log($2);}'	\
	> trembl_lengths_ti_uni_y.txt
#-------------------------------------------------
Rscript	trembl_lengths_tail.R		> trembl_lengths_tail.dat
#-------------------------------------------------
