#!/bin/sh
#	Calculates the distributions for the unique music alphabets.
#----------------------------------------------------------------

TOKDIR=TOKS
TOKDIRD=TOKS_DURATION

cat $TOKDIR/*.tok | awk 'BEGIN {FS=",";}{print $4;}' 					> unique_raw-noduration.dat
cat $TOKDIRD/*.tok | awk 'BEGIN {FS=",";}{print $4;}' 					> unique_raw-duration.dat
#
#	Plot of the two alphabets.  Clean out the experimental stuff with notes outside range of piano.
#
cat unique_raw-noduration.dat | sort -n 							> temp1$$
cat unique_raw-duration.dat | sort -n 								> temp2$$

echo "#x,y"													> unique_alphabets.dat
paste	temp1$$ temp2$$	| head --lines=-8						>> unique_alphabets.dat
echo 														>> unique_alphabets.dat
echo 														>> unique_alphabets.dat

gnuplot	unique_alphabets_cdf.gnu

mv	unique_alphabets_cdf.eps fig_14.eps

echo "fig_14.eps is now complete"
