#
#	Copyright Les Hatton, 2013-.
#	Released under the GNU GPL.
#
#	Revision:	$Revision: 1.3 $
#	Date:	$Date: 2016/09/07 14:38:44 $
#-----------------------------------------------------------------------
#
set	term		postscript eps enhanced color dashed
set	output	"srinivas.eps"
#
#	Note the set-show aspect of gnuplot.  If you don't show it you
#	don't see it.
#
set	xlabel	'Rank' font "Helvetica,24"
show	xlabel

set	ylabel	'Occurrences' font "Helvetica,24"
show	ylabel

set	xrange	[100:100000]
#set	yrange	[0.0001:35000]

set	logscale	xy
set	key	on

#set	title	"Homogeneous distribution: alpha=AAAA, beta=BBBB" font	"Times,24"
#show title

plot 'srinivas.dat' index 0 title 'Ramanujan' with points lw 3,\
	'' index 1 title 'Stirling' with points lw 3,\
	'' index 2 title 'Exact' with points lw 3

show tics

#
#	Close the file.
#
set	output
#-----------------------------------------------------------------------
