#
#	Specific gnuplot file.
#
#	Revision:	$Revision: 1.3 $
#	Date:	$Date: 2019/06/04 09:40:29 $
#-----------------------------------------------------------------------
#
set	term		postscript eps enhanced monochrome dashed
set	output	"cdf_c_ti.eps"
#
#	Note the set-show aspect of gnuplot.  If you don't show it you
#	don't see it.
#
set	xlabel	'Function length (tokens)' font "Helvetica,24"
show	xlabel

set	ylabel	'Abundance of functions in C population' font "Helvetica,24"
show	ylabel

set	xrange	[2:3000000]
set	yrange	[2:5000000]

set	logscale	xy
set	key	off

#set	title	"C" font	"Helvetica,24"
#show title

plot 'cdf_c_ti.dat' index 0 with steps lw 3

show tics

#
#	Close the file.
#
set	output
#-----------------------------------------------------------------------
