#
#	Copyright Les Hatton, 2013-.
#	Released under the GNU GPL.
#
#	Revision:	$Revision: 1.2 $
#	Date:	$Date: 2019/05/17 18:54:25 $
#-----------------------------------------------------------------------
#
set	term		postscript eps enhanced monochrome dashed
set	output	"cohsi_full_pdf.eps"
#
#	Note the set-show aspect of gnuplot.  If you don't show it you
#	don't see it.
#
set	xlabel	'Component length' font "Helvetica,24"
show	xlabel

set	ylabel	'Abundance of components' font "Helvetica,24"
show	ylabel

#set	xrange	[1:8000]
#set	yrange	[0.0001:35000]

#set	logscale	xy
set	key	off

#set	title	"Distribution of protein lengths in Trembl" font	"Times,24"
#show title

plot 'cohsi_full_pdf.dat' index 0 with points lw 3

show tics

#
#	Close the file.
#
set	output
#-----------------------------------------------------------------------
