#
#	Copyright Les Hatton, 2013-.
#	Released under the GNU GPL.
#
#	Revision:	$Revision: 1.1 $
#	Date:	$Date: 2019/06/04 08:47:53 $
#-----------------------------------------------------------------------
#
set	term		postscript eps enhanced monochrome dashed
set	output	"lengths_ccdf.eps"
#
#	Note the set-show aspect of gnuplot.  If you don't show it you
#	don't see it.
#
set	xlabel	'XLABEL' font "Helvetica,24"
show	xlabel

set	ylabel	'Frequency as ccdf' font "Helvetica,24"
show	ylabel

#set	xrange	[1:8000]
#set	yrange	[0.0001:35000]

set	logscale	xy
set	key	off

#set	title	"Distribution of protein lengths in Trembl" font	"Times,24"
#show title

plot 'lengths_ccdf.dat' index 0 with points lw 3

show tics

#
#	Close the file.
#
set	output
#-----------------------------------------------------------------------
