#
#	Specific gnuplot file.
#
#	Revision:	$Revision: 1.2 $
#	Date:	$Date: 2016/09/08 11:32:48 $
#-----------------------------------------------------------------------
#
set	term		postscript eps enhanced monochrome dashed
set	output	"pdf_c_ti.eps"
#
#	Note the set-show aspect of gnuplot.  If you don't show it you
#	don't see it.
#
set	xlabel	'ti (tokens)' font "Times,24"
show	xlabel

set	ylabel	'# Components with value ti' font "Times,24"
show	ylabel

set	xrange	[1:2000]
set	yrange	[1:10000]

#	set	logscale	xy
set	key	off

#set	title	"C" font	"Times,24"
#show title
#
#	Add lines showing the three regimes.
#
#set arrow from 90, graph 0 to 90, graph 1 nohead
#set arrow from 22, graph 0 to 22, graph 1 nohead

plot 'pdf_c_ti.dat' index 0 with points lw 3

show tics

#
#	Close the file.
#
set	output
#-----------------------------------------------------------------------
