#
#	Copyright Les Hatton, 2013-.
#	Released under the GNU GPL.
#
#	Revision:	$Revision: 1.1 $
#	Date:	$Date: 2019/05/14 19:41:57 $
#-----------------------------------------------------------------------
#
set	term		postscript eps enhanced color dashed
set	output	"trembl_length_cdf_combined.eps"
#
#	Note the set-show aspect of gnuplot.  If you don't show it you
#	don't see it.
#
set	xlabel	'Protein length' font "Helvetica,24"
show	xlabel

set	ylabel	'Abundance of proteins in Trembl' font "Helvetica,24"
show	ylabel

#set	xrange	[1:8000]
#set	yrange	[0.0001:35000]

set	logscale	xy
set	key	on

#set	title	"Distribution of protein lengths in Trembl" font	"Times,24"
#show title

plot 'trembl_length_cdf_combined.dat' index 0 title 'Trembl 15-07' with points lw 3,\
	'' index 1 title 'Trembl 17-03' with points lw 3,\
	'' index 2 title 'Trembl 19-04' with points lw 3

show tics

#
#	Close the file.
#
set	output
#-----------------------------------------------------------------------
