#
#	Copyright Les Hatton, 2013-.
#	Released under the GNU GPL.
#
#	Revision:	$Revision: 1.1 $
#	Date:	$Date: 2017/01/22 17:53:29 $
#-----------------------------------------------------------------------
#
set	term		postscript eps enhanced monochrome dashed
set	output	"trembl_length_pdf.eps"
#
#	Note the set-show aspect of gnuplot.  If you don't show it you
#	don't see it.
#
set	xlabel	'Protein length' font "Helvetica,24"
show	xlabel

set	ylabel	'Abundance of proteins in Trembl' font "Helvetica,24"
show	ylabel

set	xrange	[1:8000]
set	yrange	[0:130000]

#	set	logscale	xy
set	key	off

set	title	"Distribution of protein lengths in Trembl" font	"Times,24"
show title

plot 'trembl_length_pdf.dat' index 0 with points lw 3

show tics

#
#	Close the file.
#
set	output
#-----------------------------------------------------------------------
