#
#	Specific gnuplot file.
#
#	Revision:	$Revision: 1.1 $
#	Date:	$Date: 2017/10/16 15:46:20 $
#-----------------------------------------------------------------------
#
set	term		postscript eps enhanced monochrome dashed
set	output	"unique_alphabets_cdf.eps"
#
#	Note the set-show aspect of gnuplot.  If you don't show it you
#	don't see it.
#
set	xlabel	'No-duration alphabet' font "Helvetica,24"
show	xlabel

set	ylabel	'Duration alphabet' font "Helvetica,24"
show	ylabel

set	xrange	[1:1000]
set	yrange	[10:1100]

set	logscale	xy
set	key	off

#set	title	"Distribution of protein lengths, ai = 10,..,30" font	"Times,24"
#show title

plot 'unique_alphabets.dat' index 0 with points lw 3

show tics

#
#	Close the file.
#
set	output
#-----------------------------------------------------------------------
